Page MenuHomePhabricator

Drop "CHARSET=utf-8" option for MySQL table creation in MediaWiki installer
Closed, ResolvedPublic

Description

Based on comments from T194125: [RFC] Future of charset and collation for mediawiki on mysql :

I fully support killing the "Do you want to use UTF-8 collation" option (aka the BMP only utf8 collation) in the installer. Its is poorly explained option that I'm sure 99% of our users misunderstand, and just increases the diversity of things that can go wrong.

My only suggestion is to remove the utf-8 installer option ASAP as that is reasonable to happen, to avoid having more issues. Also extensions should convert to assume always binary on new install(?)

Tentatively tagging for 1.31 release.

Event Timeline

Legoktm triaged this task as Normal priority.May 31 2018, 6:13 PM
Legoktm created this task.

Change 436608 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@master] installer: Hide binary/utf-8 charset option from users

https://gerrit.wikimedia.org/r/436608

Legoktm claimed this task.Jun 1 2018, 6:50 PM
Krinkle renamed this task from Drop utf-8 MySQL option from the MediaWiki installer to Drop "CHARSET=utf-8" option for MySQL table creation in MediaWiki installer.Jun 1 2018, 9:14 PM

Change 436608 merged by jenkins-bot:
[mediawiki/core@master] installer: Hide binary/utf-8 charset option from users

https://gerrit.wikimedia.org/r/436608

Change 436906 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/core@REL1_31] installer: Hide binary/utf-8 charset option from users

https://gerrit.wikimedia.org/r/436906

Change 436906 merged by jenkins-bot:
[mediawiki/core@REL1_31] installer: Hide binary/utf-8 charset option from users

https://gerrit.wikimedia.org/r/436906

Krinkle moved this task from Backlog to Core on the MW-1.31-release board.Jun 2 2018, 1:40 AM
Legoktm closed this task as Resolved.Jun 2 2018, 2:19 AM
Vvjjkkii renamed this task from Drop "CHARSET=utf-8" option for MySQL table creation in MediaWiki installer to bwbaaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Legoktm as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Mainframe98 renamed this task from bwbaaaaaaa to Drop "CHARSET=utf-8" option for MySQL table creation in MediaWiki installer.Jul 1 2018, 11:44 AM
Mainframe98 closed this task as Resolved.
Mainframe98 assigned this task to Legoktm.
Mainframe98 lowered the priority of this task from High to Normal.
Mainframe98 updated the task description. (Show Details)
Mainframe98 added subscribers: gerritbot, Aklapper.